% Program 3.2. Energy of an  exponential 

% Plot the energy of the exponential x(t)=exp(-0.2t)u(t) versus t. 
% Find the total energy analytically and compare it with that
% computed for large values of t.

clear; % clear variables and functions from memory
clf; % clear current figure

inc=0.01;
t=0:inc:20; % time base values
x=exp(-0.2*t);
ener=inc*cumsum(x .* x); % numerical intgration of the squared magnitude of the signal
plot(t,ener) 
ylabel('ener(t)') % y-axis label of the graph is ener(t)
xlabel('t') % x-axis label of the graph is t
title('energy of x(t)=e^{-0.2t}u(t)')
e=2.5; %analytical value of the energy
text(0.6,0.6,['exact value of energy = ',num2str(e)],'units','normalized','fontsize',10);

% Exercise. Plot the energy of x(t)=sin(t)/t.