% Program 3.10. Shift and reversal of a signal 

% Shift and reversal of 2*exp(-0.7*t)u(t)

clear; % clear variables and functions from memory
clf; % clear current figure

tinc=0.01; % time increment
T=5; % time base limit
for k=[-2 0 1.5] % shift values
  m=1; % array index
  x=(-T:tinc:T)*0;xsr=x;
  for t=-T:tinc:T
    if (t >= 0) 
      x(m)=2*exp(-0.7*t); % samples of the decaying exponential 2*exp(-0.7*k)u(t) 
    end
    if ((-t+k) >= 0) 
      xsr(m)=2*exp(-0.7*(-t+k)); % samples of the shifted and reversed signal
    end
    m=m+1;
  end
  t=-T:tinc:T; % time base values
  plot(t,x,t,xsr,':')
  ylabel('x(t)') % y-axis label of the graph is x(t)
  xlabel('t') % x-axis label of the graph is t
  legend('x(t)',['x(-t+(',num2str(k),'))'])
  title('shift and reversal of 2e^{-0.7t}u(t)')
  disp('see the plot and press any key to continue')
  pause % wait until a key is pressed
end

% Exercise. Plot the shift and reversal of x(t)=u(t+3)-u(t+1).