% Program 3.7. odd and even components of a signal

% Decomposition of a signal into its odd and even components

clear; % clear variables and functions from memory
clf; % clear current figure

tinc=0.001; % time increment
k=1;
x= (-5:tinc:5+tinc/2)*0;
for t=-5:tinc:5+tinc/2
  if (t >= 0)
    x(k)=2*exp(-0.8*t); % samples of the  exponential
  end
  k=k+1;
end
xr=fliplr(x); % time reversal of x
xe=0.5*(x+xr); % even component of the exponential
xo=0.5*(x-xr); % odd component of the exponential
t=-5:tinc:5+tinc/2; % time base values
plot(t,x,t,xe,'--',t,xo,':')
ylabel('x(t)') % y-axis label of the graph is x(t)
xlabel('t') % x-axis label of the graph is t
legend('2e^{-0.8t}','even component','odd component')
title('even and odd components of 2e^{-0.8t}')
axis([-5 5 min([min(x),min(xe),min(xo)]) max([max(x),max(xe),max(xo)])])

% Exercise. Find the even and odd components of x(t)=cos((2*pi*t/8)+(pi/3)).