% Program 3.11. Scaling and shifting of a signal

% Scaling and shifting of x(t)=r(t)(u(t)-u(t-1))

clear; % clear variables and functions from memory

tinc=0.01; % time increment
T=5; % time base limit
t=-T:tinc:T; % time base values

for a=[-2 0.5] % scale values
  for k=[0 -1  2] % shift values
    m=1; % array index
    x=t*0;xs=x;
    clf; % clear current figure
    for l=-T:tinc:T
        if(l>=0 && l<1)
          x(m)=l; % samples of the signal x(t)=r(t)(u(t)-u(t-1))
        end
        if(a*l+k>=0 && a*l+k<1)
          xs(m)=a*l+k; % samples of the scaled and shifted signal
        end
      m=m+1;
    end
    plot(t,x,t,xs,':')
    ylabel('x(t)') % y-axis label of the graph is x(t)
    xlabel('t') % x-axis label of the graph is t
    legend('x(t)',['x(',num2str(a),'t+(',num2str(k),'))'])
    title('Scaling and shifting of x(t)=r(t)(u(t)-u(t-1))')
    disp('see the plot and press any key to continue')
    pause % wait until a key is pressed
  end
end

% Exercise. Time scale x(t)=exp(t)(u(t)-u(t-1)).