% Program 2.12. Shift of a signal

% Shift of 3*cos(2*pi*t/4)u(t)

clear; % clear variables and functions from memory
clf; % clear current figure

tinc=0.01; % time increment
T=5; % time base limit
for k=[-1 1 2] % shift values
  m=1; % array index
  x=(-5:tinc:5)*0;xs=x;
  for t=-5:tinc:5
    if (t >= 0) 
      x(m)=3*cos(2*pi*t/4); % samples of the causal sinusoid  3*cos(2*pi*t/4)u(t) 
    end
    if ((t+k) >= 0) 
      xs(m)=3*cos(2*pi*(t+k)/4);% samples of the shifted signal
    end
    m=m+1;
  end
  t=-T:tinc:T; % time base values
  plot(t,x,t,xs,':')
  ylabel('x(t)') % y-axis label of the graph is x(t)
  xlabel('t') % x-axis label of the graph is t
  legend('x(t)',['x(t+(',num2str(k),'))'])
  title('shift of x(t)=3cos(2\pit/4)u(t)')
  disp('see the plot and press any key to continue')
  pause % wait until a key is pressed
end

% Exercise. Shift the signal x(t)=r(t)(u(t)-u(t-1)).